//
//  RWDProbremViewController.m
//  ReactiveWebDB
//
//  Created by Kenichi Yonekawa on 6/21/14.
//  Copyright (c) 2014 freee K.K. All rights reserved.
//

#import "RWDProbremViewController.h"

@interface RWDProbremViewController ()
@property (nonatomic , weak) IBOutlet UITextField *issueDateField;
@property (nonatomic , weak) IBOutlet UITextField *amountField;
@property (nonatomic , weak) IBOutlet UITextField *memoField;
@property (nonatomic , weak) IBOutlet UIBarButtonItem *saveButton;
@end

@implementation RWDProbremViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.saveButton.enabled = NO;

    [self.issueDateField addTarget:self
                            action:@selector(validate)
                  forControlEvents:UIControlEventEditingChanged];
    [self.amountField addTarget:self
                         action:@selector(validate)
               forControlEvents:UIControlEventEditingChanged];
    [self.memoField addTarget:self
                       action:@selector(validate)
             forControlEvents:UIControlEventEditingChanged];
}

- (void)validate
{
    if ([self.issueDateField.text length] > 9 &&
        [self.amountField.text integerValue] > 0) {
        self.saveButton.enabled = YES;
    } else {
        self.saveButton.enabled = NO;
    }
}

@end
