# 『Webサービス開発徹底攻略Vol.2』特集3「freee」サンプルコード

『Webサービス開発徹底攻略Vol.2』（技術評論社）の特集3「freee」のサンプルコードです。

## ファイル構成

- README.md
- 03
	- VuejsWebDB
		- VuejsSample.html
	- ReactiveWebDB
		- ReactiveWebDB.xcodeproj
		- Podfile
		- ReactiveWebDB
		- ReactiveWebDBTests

## 「第3章 複雑なドメインロジックとフロントエンド開発 ── Vue.jsによるWebアプリケーション開発」のサンプルの動作について

「Vue.jsによるWebアプリケーション開発」のサンプルはVuejsWebDBに入っています。

VuejsSample.htmlを動作させるためには、以下4つのライブラリを事前にダウンロードする必要があります。（ライブラリ名の横のカッコ内は動作確認済みバージョンです。）

- Vue.js(0.10.5)
	- http://vuejs.org/
- Backbone.js(1.1.2)
	- http://backbonejs.org/
- Underscore.js(1.6.0)
	- http://underscorejs.org/
- jQuery2(2.1.1)
	- http://jquery.com/

ダウンロード完了後、VuejsSample.htmlと同じディレクトリ内に配置（以下の名称で配置してください。）し、VuejsSample.htmlをブラウザで開くと動作します。

### ライブラリの名称
- vue.min.js
- backbone-min.js
- underscore-min.js
- jquery.min.js


## 「第3章 複雑なドメインロジックとフロントエンド開発 ── モバイル開発とリアクティブプログラミング」のサンプルの動作について

「モバイル開発とリアクティブプログラミング」のサンプルはReactiveWebDBに入っています。

動作させるにはCocoaPodsをインストールする必要があります。

    gem install cocoapods -v 0.33.1
    
zipを解凍したらディレクトリに移動してターミナルで以下を実行して下さい

    pod install
    
ReactiveWebDB.xcworkspaceというディレクトリが生成されるので、
それをXcodeで開くことで動作させることができます。


